Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84932 - BIND - Caching Nameserver RFC1912 Section 4.1
Summary: BIND - Caching Nameserver RFC1912 Section 4.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: caching-nameserver
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: David Lawrence
URL: http://ietf.org/rfc/rfc1912.txt
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 01:52 UTC by Need Real Name
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version: caching-nameserver-7.3-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-25 23:03:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:568 normal SHIPPED_LIVE Updated caching-nameserver package 2004-12-21 05:00:00 UTC

Description Need Real Name 2003-02-24 01:52:29 UTC
Description of problem:

RFC1912, section 4.1 lists a set of zones that should be included in all name
servers.  It lists:


primary         localhost               localhost
primary         0.0.127.in-addr.arpa    127.0
primary         255.in-addr.arpa        255
primary         0.in-addr.arpa          0

The caching-nameserver package includes the first two of these, but not the
latter two.

Version-Release number of selected component (if applicable): N/A

How reproducible:

This is a configuration error, not a software bug.

Comment 1 Need Real Name 2003-03-10 19:03:35 UTC
Given that new installations are set to "localhost.localdomain," the informal
TLD "localdomain" should be added to the list of authoritative domains that is
included in the default BIND configuration on Red Hat Linux.

Comment 2 Jason Vas Dias 2004-08-25 23:03:04 UTC
This is now fixed (caching-nameserver-7.3-3).


Comment 3 John Flanagan 2004-12-21 19:52:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-568.html



Note You need to log in before you can comment on or make changes to this bug.